Skip to main content
PATCH
/
v1
/
organizations
/
{organization_id}
/
organization-members
/
{organization_member_id}
Update organization member
curl --request PATCH \
  --url https://api.natecosmic.com/v1/organizations/{organization_id}/organization-members/{organization_member_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "display_name": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "role": "<string>",
  "status": "active",
  "is_primary": true,
  "external_id": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "<string>",
    "display_name": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "role": "<string>",
    "status": "active",
    "is_primary": true,
    "external_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Scopes (integration tokens): organizations:read, organization-members:read|write, certifications:read|write, job-roles:read|write, qualifications:read|write, certification-types:read|write.

Path Parameters

organization_id
string<uuid>
required

Organization identifier

organization_member_id
string<uuid>
required

Organization member identifier

Body

application/json
email
string | null
display_name
string
first_name
string | null
last_name
string | null
role
string | null
status
enum<string>
Available options:
active,
invited,
inactive,
archived
is_primary
boolean
external_id
string | null

Response

Updated

data
object
required